HEAD(1)

NAZWA
head - wypisuje początek plików

SKŁADNIA
head [OPCJA]... [PLIK]...

OPIS

Wypisuje pierwsze 10 wierszy każdego PLIKU na standardowe wyjście. W przypadku podania więcej niż jednego PLIKU, poprzedza każdą część nagłówkiem z nazwą pliku. Jeśli nie podano PLIKU lub jako PLIK wpisano -, odczytywane jest standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-c, --bytes=[-]K
    wypisuje pierwszych K bajtów z każdego pliku; jeśli liczbę poprzedzono znakiem -, to wypisywane jest wszystko oprócz ostatnich K bajtów każdego pliku

-n, --lines=[-]K
    wypisuje pierwszych K wierszy zamiast domyślnych 10; jeśli liczbę poprzedzono znakiem -, to wypisywane jest wszystko oprócz ostatnich K wierszy każdego pliku

-q, --quiet, --silent
    nigdy nie wypisuje nagłówków z nazwami plików

-v, --verbose
    zawsze wypisuje nagłówki z nazwami plików

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

K może być posiadać jeden z następujących przyrostków: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, itd. dla T, P, E, Z, Y.

AUTOR
Napisane przez Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w head proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu head proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2011 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja head jest dostępna w formacie Texinfo. Jeśli programy info i head są poprawnie zainstalowane, to polecenie

    info coreutils 'head invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.13 oryginału.